<?php

// Admin web routes  for messenger_user
Route::group(['prefix' => trans_setlocale().'/admin/messenger_user'], function () {
    Route::resource('messenger_user', 'Guru\MessengerUser\Http\Controllers\MessengerUserAdminWebController');
});

// Admin API routes  for messenger_user
Route::group(['prefix' => trans_setlocale().'api/v1/admin/messenger_user'], function () {
    Route::resource('messenger_user', 'Guru\MessengerUser\Http\Controllers\MessengerUserAdminApiController');
});

// User web routes for messenger_user
Route::group(['prefix' => trans_setlocale().'/user/messenger_user'], function () {
    Route::resource('messenger_user', 'Guru\MessengerUser\Http\Controllers\MessengerUserUserWebController');
});

// User API routes for messenger_user
Route::group(['prefix' => trans_setlocale().'api/v1/user/messenger_user'], function () {
    Route::resource('messenger_user', 'Guru\MessengerUser\Http\Controllers\MessengerUserUserApiController');
});

// Public web routes for messenger_user
Route::group(['prefix' => trans_setlocale().'/messenger_users'], function () {
    Route::get('/', 'Guru\MessengerUser\Http\Controllers\MessengerUserPublicWebController@index');
    Route::get('/{slug?}', 'Guru\MessengerUser\Http\Controllers\MessengerUserPublicWebController@show');
});

// Public API routes for messenger_user
Route::group(['prefix' => trans_setlocale().'api/v1/messenger_users'], function () {
    Route::get('/', 'Guru\MessengerUser\Http\Controllers\MessengerUserPublicApiController@index');
    Route::get('/{slug?}', 'Guru\MessengerUser\Http\Controllers\MessengerUserPublicApiController@show');
});

// Admin web routes  for messenger_message
Route::group(['prefix' => trans_setlocale().'/admin/messenger_user'], function () {
    Route::resource('messenger_message', 'Guru\MessengerUser\Http\Controllers\MessengerMessageAdminWebController');
});

// Admin API routes  for messenger_message
Route::group(['prefix' => trans_setlocale().'api/v1/admin/messenger_user'], function () {
    Route::resource('messenger_message', 'Guru\MessengerUser\Http\Controllers\MessengerMessageAdminApiController');
});

// User web routes for messenger_message
Route::group(['prefix' => trans_setlocale().'/user/messenger_user'], function () {
    Route::resource('messenger_message', 'Guru\MessengerUser\Http\Controllers\MessengerMessageUserWebController');
});

// User API routes for messenger_message
Route::group(['prefix' => trans_setlocale().'api/v1/user/messenger_user'], function () {
    Route::resource('messenger_message', 'Guru\MessengerUser\Http\Controllers\MessengerMessageUserApiController');
});

// Public web routes for messenger_message
Route::group(['prefix' => trans_setlocale().'/messenger_users'], function () {
    Route::get('/', 'Guru\MessengerUser\Http\Controllers\MessengerMessagePublicWebController@index');
    Route::get('/{slug?}', 'Guru\MessengerUser\Http\Controllers\MessengerMessagePublicWebController@show');
});

// Public API routes for messenger_message
Route::group(['prefix' => trans_setlocale().'api/v1/messenger_users'], function () {
    Route::get('/', 'Guru\MessengerUser\Http\Controllers\MessengerMessagePublicApiController@index');
    Route::get('/{slug?}', 'Guru\MessengerUser\Http\Controllers\MessengerMessagePublicApiController@show');
});

